Subject: FVWM: Which GUI-libs

From: "Peter Olsen" <[email-masked]>
Date: Mon, 28 Apr 2003 20:49:03 +0000

Hello again,

I was wondering which GUI-libs Fvwm is based on (qt, gtk ...) and whether 
this librari contains all the common GUI-elements (textbox, button, 
radiobutton etc) that is nomally associated with a desktop-system, and where 
I can find information about them?

Thanks
/peter

_________________________________________________________________
Tag din Hotmail med dig, når du går http://www.msn.dk/mobile

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 29 Apr 2003 10:26:31 +0200

On Mon, Apr 28, 2003 at 08:49:03PM +0000, Peter Olsen wrote:
> Hello again,
> 
> I was wondering which GUI-libs Fvwm is based on (qt, gtk ...)

None.  It's all native fvwm code.

Bye

Dominik ^_^  ^_^

---

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 29 Apr 2003 10:55:49 +0000

On 28 Apr 2003 20:49:03 +0000, Peter Olsen wrote:
> radiobutton etc) that is nomally associated with a desktop-system, and 
> where I can find information about them?

If you want just to write a dialog/menu that interacts with fvwm,
use FvwmGtk module, read its man page "man FvwmGtk" for a documentation.

In 2.5.x version you may also use perl class FVWM::Module::Gtk for this,
read "fvwm-perllib man FVWM::Module::Gtk" for a documentation.

Regards,
Mikhael.